using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Threading;
using System.Windows.Forms;
using MediaPortal.GUI.Library;
//using MediaPortal.Util;
using MediaPortal.Configuration;

namespace eventGhostTrigger
{
    public partial class FormSettings : Form
    {
        //public const string ENTRY_NAME_NUMBER_OF_DEVICES = "numberOfDevices";

        public FormSettings()
        {
            InitializeComponent();
        }
        
        
        private void displayDeviceSettings()
        {
            
    
            using (MediaPortal.Profile.Settings xmlReader = new MediaPortal.Profile.Settings(Config.GetFile(Config.Dir.Config, "MediaPortal.xml")))
            {
                imageFileName_Editbox.Text = xmlReader.GetValueAsString(eventGhostTrigger.PLUGIN_NAME, "egPath", "");
                part2_comboBox.Text = xmlReader.GetValueAsString(eventGhostTrigger.PLUGIN_NAME, "part2", "Type");
                part3_comboBox.Text = xmlReader.GetValueAsString(eventGhostTrigger.PLUGIN_NAME, "part3", "Status");
                payload_checkBox.Checked = xmlReader.GetValueAsBool(eventGhostTrigger.PLUGIN_NAME, "payload", false);
            }
            
        }
        private void FormSettings_Load(object sender, EventArgs e)
        {

            displayDeviceSettings();
        }

        public static void Main()
        {
            FormSettings frm = new FormSettings();
            if (frm.ShowDialog() == DialogResult.OK)
            {
            }
        }

        private void buttonOk_Click(object sender, EventArgs e)
        {
            using (MediaPortal.Profile.Settings xmlWriter = new MediaPortal.Profile.Settings(Config.GetFile(Config.Dir.Config, "MediaPortal.xml")))
            {
                xmlWriter.SetValue(eventGhostTrigger.PLUGIN_NAME, "egPath", imageFileName_Editbox.Text);
                xmlWriter.SetValue(eventGhostTrigger.PLUGIN_NAME, "part2", part2_comboBox.Text);
                xmlWriter.SetValue(eventGhostTrigger.PLUGIN_NAME, "part3", part3_comboBox.Text);
                xmlWriter.SetValueAsBool(eventGhostTrigger.PLUGIN_NAME, "payload", payload_checkBox.Checked);
            }
        }

        private void imageFileName_Button_Click(object sender, EventArgs e)
        {
            FolderBrowserDialog dialog = new FolderBrowserDialog();
            
            if (dialog.ShowDialog() == DialogResult.OK)
            {
                imageFileName_Editbox.Text = dialog.SelectedPath;
            }
            using (MediaPortal.Profile.Settings xmlWriter = new MediaPortal.Profile.Settings(Config.GetFile(Config.Dir.Config, "MediaPortal.xml")))
            {
                xmlWriter.SetValue(eventGhostTrigger.PLUGIN_NAME, "egPath", dialog.SelectedPath);
            }
        }

        private void imageFileName_Editbox_TextChanged(object sender, EventArgs e)
        {

        }

        private void textBox1_TextChanged(object sender, EventArgs e)
        {

        }

        private void groupBox2_Enter(object sender, EventArgs e)
        {

        }

        private void part2_comboBox_SelectedIndexChanged(object sender, EventArgs e)
        {
            
            part3_comboBox.SelectedIndex = 1 - part2_comboBox.SelectedIndex;
        }

        private void part3_comboBox_SelectedIndexChanged(object sender, EventArgs e)
        {
            
            part2_comboBox.SelectedIndex = 1 - part3_comboBox.SelectedIndex;
        }



       

    }
}